<script setup lang="ts">
import { useAddressStore } from '@/stores/addressBookStore';

const addressBookStore = useAddressStore()
</script>

<template>
  <button @click="addressBookStore.isAddNew = !addressBookStore.isAddNew">Add</button>
  <div>
    <table>
      <th>
        <td>ID</td>
        <td>Name</td>
        <td>Gender</td>
        <td>Tel</td>
      
      <tr v-for="ad of addressBookStore.addressList" :key="ad.id">
        <td>{{ ad.id }}</td>
        <td>{{ ad.name }}</td>
        <td>{{ ad.gender }}</td>
        <td>{{ ad.tel }}</td>
        <td><button @click="addressBookStore.edit(ad.id)">Edit</button><button @click="addressBookStore.remove(ad.id)">Delete</button></td>
      </tr>
    </th>
    </table>
  </div>
</template>

<style scoped>
input,
select,
lable,
button {
  font-family: 'Kanit';
  font-size: 20pt;
  margin: 5px;
}
</style>